global.Intl = require('intl');

require('./ignite/blob');
global.saveAs = require('./ignite/filesaver').saveAs;
require('./ignite/infragistics.documents.core');
require('./ignite/infragistics.excel');
require('./ignite/infragistics.gridexcelexporter');

$(function () {
	$("#grid1").igGrid({
		autoGenerateColumns: false,
		width: "100%",
		primaryKey: "EmployeeID",
		autofitLastColumn: true,
		columns: [
			{ headerText: "Employee ID", key: "EmployeeID", dataType: "string", hidden: true },
			{ headerText: "Last Name", key: "LastName", width: "15%", dataType: "string" },
			{ headerText: "Country", key: "Country", width: "15%", dataType: "string" },
			{ headerText: "Age", key: "Age", width: "15%", dataType: "number" },
			{ headerText: "Is Active", key: "IsActive", width: "15%", dataType: "bool", format: "checkbox" },
			{ headerText: "Company", key: "Company", width: "20%", dataType: "string", unbound: true, formula: function () { return "http://infragistics.com/"; } },
			{ headerText: "Register Date", key: "RegistererDate", width: "20%", dataType: "date" }
		],
		dataSource: employees,
		primaryKey: "EmployeeID",
		features: [
			{
				name: "Filtering"
			},
			{
				name: "Sorting",
				mode: "multi",
			},
			{
				name: "Paging",
				type: "local",
				pageSize: 30
			},
			{
				name: "Hiding",
			},
			{
				name: "Summaries",
			}
		]
	});

	$("#exportButton").on("click", function () {
		$.ig.GridExcelExporter.exportGrid($("#grid1"), {}, {});
	});
});